!  @(#)libfcollector.h 1.2 (Sun Microsystems, Inc.) 02/02/20
!    Copyright © 2002 Sun Microsystems, Inc.
!    All rights reserved.
! Forte Developer Sampling Collector interface include file

        interface

        ! routine to record a sample in the experiment
        subroutine collector_sample(name)
        character(len=*), intent(in) :: name
        end subroutine

        ! routine to suspend data collection during an experiment
        subroutine collector_pause()
        end subroutine

        ! routine to resume data collection during an experiment
        subroutine collector_resume()
        end subroutine

        ! routine to stop all data collection and close the experiment
        subroutine collector_terminate_expt()
        end subroutine

        end interface
